# Class SvgExon

java.lang.Object
org.snpeff.svg.Svg
org.snpeff.svg.SvgExon

public class SvgExon extends Svg
Create an SVG representation of a Marker

## Field Summary

### Fields inherited from class Svg

`debug, DEFAULT_BASE_Y, DEFAULT_SIZE_X, DEFAULT_SIZE_Y, LINE_COLOR_STROKE, LINE_STROKE_WIDTH, RECT_COLOR_FILL, RECT_COLOR_STROKE, RECT_HEIGHT, RECT_STROKE_WIDTH, TEXT_SIZE, TEXT_STYLE`

## Constructor Summary

Constructors
Constructor
Description
`SvgExon(Exon ex, Svg svg)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class Svg

`close, factory, hline, id, marker, markerId, open, rectangle, rectangle, setBaseY, text`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SvgExon

public SvgExon(Exon ex, Svg svg)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Svg`